Skip to main content
PUT

Authorizations

x-publisher-token
string
header
required

Publisher token, as displayed in the Publisher Dashboard.

Path Parameters

externalId
string
required

Design ID that you defined.

Body

application/json

Updates a post purchase popup design.

offerUiType
enum<string>

Type of offer design.

Available options:
PopUp
Example:

"PopUp"

name
string

Offer design name.

Example:

"Post Purchase Popup Design Updated"

externalId
string

Design ID that you define.

Example:

"post-purchase-popup-design"

backgroundImageUrl
string<url>

Background image URL in PNG or JPEG format.

For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL. External image URLs are saved and used as-is, and Appcharge doesn't download, copy, upload, or host them. Images must remain available at the provided URLs.

We recommend uploading image files instead of using external URLs when possible.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png"

title
object
offerUiSubType
enum<string>

Popup design subtype. Use PostPurchase for post purchase popup designs.

Available options:
PostPurchase
Example:

"PostPurchase"

Response

Offer design updated successfully.

id
string

Design ID.

Example:

"6a09aa1018b751228b09faed"

offerUiType
enum<string>

Type of offer design.

Available options:
PopUp
Example:

"PopUp"

name
string

Offer design name.

Example:

"Post Purchase Popup Design"

externalId
string

Design ID that you defined.

Example:

"post-purchase-popup-design"

backgroundImageUrl
string<url>

Background image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png"

title
object
externalBackgroundImageUrl
string<url>

Original background image URL when the design uses an external image URL. This URL is used as provided to serve the image.

Example:

"https://cdn.example.com/assets/background.png"

offerUiSubType
enum<string>

Popup design subtype. Use PostPurchase for post purchase popup designs.

Available options:
PostPurchase
Example:

"PostPurchase"